package ink.wgink.module.examine.pojo.vos.paper.question;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: PaperQuestionRandomSaveVO
 * @Description: 试卷试题随机保存
 * @Author: wanggeng
 * @Date: 2022/5/26 15:43
 * @Version: 1.0
 */
@ApiModel
public class PaperQuestionRandomSaveVO {

    @ApiModelProperty(name = "questionType", value = "")
    @CheckEmptyAnnotation(name = "试题种类")
    private String questionType;
    @ApiModelProperty(name = "questionChoiceType", value = "")
    @CheckEmptyAnnotation(name = "试题选择类型")
    private String questionChoiceType;

    public String getQuestionType() {
        return questionType == null ? "" : questionType.trim();
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public String getQuestionChoiceType() {
        return questionChoiceType == null ? "" : questionChoiceType.trim();
    }

    public void setQuestionChoiceType(String questionChoiceType) {
        this.questionChoiceType = questionChoiceType;
    }
}
